import React, { createContext, useContext, useState } from "react";
const initialState = {
  favoriteStation: [],
  setFavoriteStation: () => {},
};

const FavoriteStationContext = createContext(initialState);

export const useFavoriteStation = () => {
  return useContext(FavoriteStationContext);
};

export const FavoriteStationProvider = ({ children }) => {
  const [favoriteStation, setFavoriteStation] = useState({});

  return (
    <FavoriteStationContext.Provider
      value={{ favoriteStation, setFavoriteStation }}
    >
      {children}
    </FavoriteStationContext.Provider>
  );
};
